Subject: Re: [PATCH v3 00/10] pack-revindex: introduce on-disk '.rev' format

From: Taylor Blau <[email-masked]>
Date: Mon, 25 Jan 2021 21:49:47 -0500

On Mon, Jan 25, 2021 at 06:36:43PM -0800, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > Here is a third reroll of my series to introduce an on-disk format for the
> > reverse index. Since the first series (to introduce a new API) has been merged
> > to 'next', this series has been rebased onto 'next', too.
>
> Ehh, does that mean you are OK to see the remainder of 'next' to
> take this topic hostage?
>
> Unless you use some new features that came from other topics in
> 'next', I'd discourage such a rebasing.  If the API topic gained
> some fix-up patches on top since it was merged to 'next', it is
> perfectly sensible to rebase this series on top of the updated API
> topic---it does not change the fact that this topic is dependent on
> the API topic.

Ah; my apologies. I thought that rebasing onto next would make it easier
for you to merge this topic, but after reading what you wrote I can see
that's not the case.

The only dependency that this topic should have is on the API one, which
I am glad to see in 'master'.

> As it happens that the API topic is now in 'master', none of the
> above complaint should actually apply, even if this new round of
> patches do not cleanly apply to the tip of the API topic, as long as
> they apply cleanly to tonight's 'master'.  It will make the topic
> ineligible to be merged later to 'maint', but this is a new feature,
> so nothing is lost.
>
> So, I'll try to apply them first on top of the tip of the API topic,
> which is at 779412b9 (for_each_object_in_pack(): clarify pack vs
> index ordering, 2021-01-14), and if I do not feel like spending time
> to resolve conflicts, I'll then try to apply them on top of tonight's
> master.  We'll see what happens.

I'm happy to send another version based on 'master', but I expect that
this should apply cleanly either way.

> Thanks.

Thanks,
Taylor